Debian Bug report logs - #290336
/usr/bin/enc2xs: /usr/bin/enc2xs: enc2xs fails with /ConfigLocal_PM.e2x : No such file or directory

version graph

Package: perl; Maintainer for perl is Niko Tyni <ntyni@debian.org>; Source for perl is src:perl.

Reported by: Sven Hartge <debian@ds9.argh.org>

Date: Thu, 13 Jan 2005 17:18:36 UTC

Severity: normal

Tags: patch, upstream

Found in version 5.8.4-5

Fixed in version perl/5.8.4-6

Done: Brendan O'Dea <bod@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#290336; Package perl. Full text and rfc822 format available.

Acknowledgement sent to Sven Hartge <debian@ds9.argh.org>:
New Bug report received and forwarded. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sven Hartge <debian@ds9.argh.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /usr/bin/enc2xs: /usr/bin/enc2xs: enc2xs fails with /ConfigLocal_PM.e2x : No such file or directory
Date: Thu, 13 Jan 2005 17:52:52 +0100
Package: perl
Version: 5.8.4-5
Severity: normal


enc2xs fails while generating its ConfigLocal.pm:

skuld:~# enc2xs -C
Checking /usr/lib/perl/5.8/Encode...
require Encode/CJKConstants.pm;
require Encode/Byte.pm;
require Encode/CN.pm;
require Encode/EBCDIC.pm;
require Encode/Encoder.pm;
require Encode/Guess.pm;
require Encode/JP.pm;
require Encode/KR.pm;
require Encode/Symbol.pm;
require Encode/TW.pm;
Checking /usr/share/perl/5.8/Encode...
$Encode::ExtModule{'ascii-ctrl'} =      "Encode::CJKConstants";
$Encode::ExtModule{'null'} =    "Encode::CJKConstants";
Can't stat /usr/local/lib/perl/5.8.4: No such file or directory
 at /usr/bin/enc2xs line 928
Can't stat /usr/local/share/perl/5.8.4: No such file or directory
 at /usr/bin/enc2xs line 928
Can't stat /usr/local/lib/site_perl: No such file or directory
 at /usr/bin/enc2xs line 928

Generating /usr/lib/perl/5.8/Encode/ConfigLocal.pm...
/ConfigLocal_PM.e2x : No such file or directory at /usr/bin/enc2xs line 1023.

The missing directories beneath /usr/local are not the cause for the
failure, but the path the function find_e2x() returns: it is empty.

So enc2xs tries to find /ConfigLocal_PM.e2x instead of
/usr/share/perl/5.8/Encode/ConfigLocal_PM.e2x

I debugged further and found File::find::find() seems to choke on the
symlink 5.8 -> 5.8.4 in /usr/share/perl, because if I remove the symlink
and "cp -a 5.8.4 5.8", enc2xs runs without problems:

skuld:~# enc2xs -C
Checking /usr/lib/perl/5.8/Encode...
require Encode/CJKConstants.pm;
require Encode/Byte.pm;
require Encode/CN.pm;
require Encode/EBCDIC.pm;
require Encode/Encoder.pm;
require Encode/Guess.pm;
require Encode/JP.pm;
require Encode/KR.pm;
require Encode/Symbol.pm;
require Encode/TW.pm;
Checking /usr/share/perl/5.8/Encode...
$Encode::ExtModule{'ascii-ctrl'} =      "Encode::CJKConstants";
$Encode::ExtModule{'null'} =    "Encode::CJKConstants";
Can't stat /usr/local/lib/perl/5.8.4: No such file or directory
 at /usr/bin/enc2xs line 928
Can't stat /usr/local/share/perl/5.8.4: No such file or directory
 at /usr/bin/enc2xs line 928
Can't stat /usr/local/lib/site_perl: No such file or directory
 at /usr/bin/enc2xs line 928
/usr/share/perl/5.8/Encode
Generating /usr/lib/perl/5.8/Encode/ConfigLocal.pm...

I have _no_ idea, why it behaves this way, but it sure is disturbing and
might even affect other packages.


-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.4.28-185
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Versions of packages perl depends on:
ii  libc6                       2.3.2.ds1-20 GNU C Library: Shared libraries an
ii  libdb4.2                    4.2.52-17    Berkeley v4.2 Database Libraries [
ii  libgdbm3                    1.8.3-2      GNU dbm database routines (runtime
ii  perl-base                   5.8.4-5      The Pathologically Eclectic Rubbis
ii  perl-modules                5.8.4-5      Core Perl modules

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#290336; Package perl. Full text and rfc822 format available.

Acknowledgement sent to Sven Hartge <sven.hartge@mni.fh-giessen.de>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #10 received at 290336@bugs.debian.org (full text, mbox):

From: Sven Hartge <sven.hartge@mni.fh-giessen.de>
To: 290336@bugs.debian.org
Subject: Re: /usr/bin/enc2xs: /usr/bin/enc2xs: enc2xs fails with /ConfigLocal_PM.e2x : No such file or directory
Date: Fri, 14 Jan 2005 16:14:53 +0100
Hi.

I now reproduced this bug on a Gentoo-System by moving
/usr/lib/perl5/5.8.6 to /usr/lib/perl5/5.8.6-test and adding a symlink
5.8.6-test -> 5.8.6.

After this preparation enc2xs also fails as with Debian.
Reverting my changes brings enc2xs back to life.

So this seems to be a "native" Perl bug, seemingly in the 
File::find::find module.

Sven.



Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#290336; Package perl. Full text and rfc822 format available.

Acknowledgement sent to Sven Hartge <hartge@ds9.argh.org>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #15 received at 290336@bugs.debian.org (full text, mbox):

From: Sven Hartge <hartge@ds9.argh.org>
To: 290336@bugs.debian.org
Cc: control@bugs.debian.org
Subject: /usr/bin/enc2xs: /usr/bin/enc2xs: enc2xs fails with /ConfigLocal_PM.e2x : No such fil or directory
Date: Sun, 16 Jan 2005 17:37:09 +0100 (CET)
[Message part 1 (text/plain, inline)]
tag 290336 + patch upstream
thanks

With the help from Marc Brockschmidt I was able to solve the problem. 
File::find::find doesn't follow symlinks. The attached patch solves this 
problem by changing the way enc2xs uses File::find::find.

Please apply and submit upstream.

Sven.
[enc2xs-follow-symlinks.patch (text/plain, attachment)]

Tags added: patch, upstream Request was from Sven Hartge <hartge@ds9.argh.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Brendan O'Dea <bod@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Sven Hartge <debian@ds9.argh.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 290336-close@bugs.debian.org (full text, mbox):

From: Brendan O'Dea <bod@debian.org>
To: 290336-close@bugs.debian.org
Subject: Bug#290336: fixed in perl 5.8.4-6
Date: Wed, 02 Feb 2005 10:17:16 -0500
Source: perl
Source-Version: 5.8.4-6

We believe that the bug you reported is fixed in the latest version of
perl, which is due to be installed in the Debian FTP archive:

libcgi-fast-perl_5.8.4-6_all.deb
  to pool/main/p/perl/libcgi-fast-perl_5.8.4-6_all.deb
libperl-dev_5.8.4-6_i386.deb
  to pool/main/p/perl/libperl-dev_5.8.4-6_i386.deb
libperl-dev_5.8.4-6_powerpc.deb
  to pool/main/p/perl/libperl-dev_5.8.4-6_powerpc.deb
libperl-dev_5.8.4-6_sparc.deb
  to pool/main/p/perl/libperl-dev_5.8.4-6_sparc.deb
libperl5.8_5.8.4-6_i386.deb
  to pool/main/p/perl/libperl5.8_5.8.4-6_i386.deb
libperl5.8_5.8.4-6_powerpc.deb
  to pool/main/p/perl/libperl5.8_5.8.4-6_powerpc.deb
libperl5.8_5.8.4-6_sparc.deb
  to pool/main/p/perl/libperl5.8_5.8.4-6_sparc.deb
perl-base_5.8.4-6_i386.deb
  to pool/main/p/perl/perl-base_5.8.4-6_i386.deb
perl-base_5.8.4-6_powerpc.deb
  to pool/main/p/perl/perl-base_5.8.4-6_powerpc.deb
perl-base_5.8.4-6_sparc.deb
  to pool/main/p/perl/perl-base_5.8.4-6_sparc.deb
perl-debug_5.8.4-6_i386.deb
  to pool/main/p/perl/perl-debug_5.8.4-6_i386.deb
perl-debug_5.8.4-6_powerpc.deb
  to pool/main/p/perl/perl-debug_5.8.4-6_powerpc.deb
perl-debug_5.8.4-6_sparc.deb
  to pool/main/p/perl/perl-debug_5.8.4-6_sparc.deb
perl-doc_5.8.4-6_all.deb
  to pool/main/p/perl/perl-doc_5.8.4-6_all.deb
perl-modules_5.8.4-6_all.deb
  to pool/main/p/perl/perl-modules_5.8.4-6_all.deb
perl-suid_5.8.4-6_i386.deb
  to pool/main/p/perl/perl-suid_5.8.4-6_i386.deb
perl-suid_5.8.4-6_powerpc.deb
  to pool/main/p/perl/perl-suid_5.8.4-6_powerpc.deb
perl-suid_5.8.4-6_sparc.deb
  to pool/main/p/perl/perl-suid_5.8.4-6_sparc.deb
perl_5.8.4-6.diff.gz
  to pool/main/p/perl/perl_5.8.4-6.diff.gz
perl_5.8.4-6.dsc
  to pool/main/p/perl/perl_5.8.4-6.dsc
perl_5.8.4-6_i386.deb
  to pool/main/p/perl/perl_5.8.4-6_i386.deb
perl_5.8.4-6_powerpc.deb
  to pool/main/p/perl/perl_5.8.4-6_powerpc.deb
perl_5.8.4-6_sparc.deb
  to pool/main/p/perl/perl_5.8.4-6_sparc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 290336@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Brendan O'Dea <bod@debian.org> (supplier of updated perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed,  2 Feb 2005 23:55:27 +1100
Source: perl
Binary: perl-base libcgi-fast-perl libperl-dev perl-debug perl-modules perl libperl5.8 perl-suid perl-doc
Architecture: all i386 powerpc source sparc 
Version: 5.8.4-6
Distribution: unstable
Urgency: high
Maintainer: Brendan O'Dea <bod@debian.org>
Changed-By: Brendan O'Dea <bod@debian.org>
Description: 
 libperl-dev - Perl library: development files
 libperl5.8 - Shared Perl library
 perl       - Larry Wall's Practical Extraction and Report Language
 perl-base  - The Pathologically Eclectic Rubbish Lister
 perl-debug - Debug-enabled Perl interpreter
 perl-suid  - Runs setuid Perl scripts
Closes: 285435 290336
Changes: 
 perl (5.8.4-6) unstable; urgency=high
 .
   * SECURITY [CAN-2005-0155, CAN-2005-0156]: apply Mandrake patch to
     perlio.c which removes a privilege escalation in debug mode and a
     buffer overflow.
 .
   * Make close return false if the stream had prior errors (patch from
     Jim Meyering; closes: #285435).
 .
   * Fix enc2xs to handle missing entries symlinks in @INC, and missing
     directories (thanks to Sven Hartge; closes: #290336).
 .
   * Add --no-backup-if-mismatch to patch/unpatch rules.
   * Correct some minor errors in 09_fix_insecure_tempfiles:  wrong
     quoting in c2ph.PL, documentation of .perldbtty in perldebug.pod .
Files: 
 0b0aae6d903eda8100ef4d6ec71fdad8 508828 libs optional libperl5.8_5.8.4-6_i386.deb
 1031252bb1192b1a9f57b9eb6bf937a6 31696 perl optional perl-suid_5.8.4-6_i386.deb
 16255cbc1bd37cd319c045ff80b280f8 7051068 doc optional perl-doc_5.8.4-6_all.deb
 2df3f51a0fca303f8dc51dd042b908f7 3724858 perl optional perl-debug_5.8.4-6_sparc.deb
 ec3f5c2fa2ff2ea22d399afc1d27589c 726 perl standard perl_5.8.4-6.dsc
 5d7b3d4be06893bc35ffd998aa2593e1 3587748 perl optional perl-debug_5.8.4-6_powerpc.deb
 64379515ef23061cb27f4d9a4f4e421a 751108 base required perl-base_5.8.4-6_i386.deb
 69d2b01041a24a50fd2ec6d7c799fa56 3626968 perl optional perl-debug_5.8.4-6_i386.deb
 6f858de5cc1be65a3c64b0563711be8b 3547186 perl standard perl_5.8.4-6_sparc.deb
 7ab146a8db513f0ec2938c6162fd0c3c 567016 libdevel optional libperl-dev_5.8.4-6_i386.deb
 82c3090d0c799c46f77a63009c6beb9b 31022 perl optional perl-suid_5.8.4-6_sparc.deb
 8421b40d8f42cc7b43716d6520000d71 1030 libs optional libperl5.8_5.8.4-6_powerpc.deb
 b5dccae7300f2e35198ef3cfe64aca1e 3509124 perl standard perl_5.8.4-6_powerpc.deb
 c570e5b89b0d37d612ec12af485d18b6 78696 perl standard perl_5.8.4-6.diff.gz
 c69ca4e42ae4ad7852e18af4a9c7e771 37492 perl extra libcgi-fast-perl_5.8.4-6_all.deb
 c8de5ebee1d27e6ca3555f4bccecfcc2 2178272 perl standard perl-modules_5.8.4-6_all.deb
 d74f4174b25d93ba7f5121a2d346af5a 33578 perl optional perl-suid_5.8.4-6_powerpc.deb
 da371972a9553c6689c48e44e99e0ac0 624944 libdevel optional libperl-dev_5.8.4-6_powerpc.deb
 f26be4ccf428a29cbc6b18421745611d 3237900 perl standard perl_5.8.4-6_i386.deb
 f7c018f8a7c3db8ac2007ddc55fae9ae 1030 libs optional libperl5.8_5.8.4-6_sparc.deb
 f8d6ebb4ac315e5fc2072ade06fb0a63 582230 libdevel optional libperl-dev_5.8.4-6_sparc.deb
 fe888ca0a6a830722c2960f73fdc419e 774694 base required perl-base_5.8.4-6_sparc.deb
 fea71362bd03fcf12448d8d4557a093c 789112 base required perl-base_5.8.4-6_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFCAOtw8NyOALKMWZURAvnRAJ9xoUsp27fCcLJJJ6uKoirMktcuegCgj7ls
CuKP8AxHS/rGWFOM4nKSjwk=
=zu7Y
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:10:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.